Description

I think gtk backend should support "bool Ctrl::IsCompositedGUI()" method.

So, this is my implementation(CtrlCore/GtkWnd.cpp - line 57):

bool Ctrl::IsCompositedGui()

{

    GuiLock __;

    static bool b = gdk_display_supports_composite(gdk_display_get_default()); // <- Should I use "gdk_display_get_default()" or

something else for example stored variable???

    return b;

}

    -  It seems that this patch is very important for some proprietary GPU drivers like NVIDIA, because b value is always true.

History

#1 - 12/29/2013 01:34 PM - Zbigniew Rebacz

- Category changed from U++/gtk to CtrlCore

#2 - 12/29/2013 01:48 PM - Zbigniew Rebacz

- File deleted (GtkWnd.cpp)

#3 - 12/29/2013 01:48 PM - Zbigniew Rebacz

- File GtkWnd.cpp added

#4 - 01/06/2014 04:24 PM - Miroslav Fidler

- Status changed from Patch ready to Approved
